# Stellar Soroban

{% hint style="info" %}
Currently, Soroban is a preview release that includes initial versions of the smart contracts environment, a Rust SDK, A CLI, and an RPC server. Developers can write and test contracts on their local machine or deploy them to a special test network dubbed Futurenet.
{% endhint %}

## Introducing Soroban

A developer-friendly, Rust-based smart contracts platform designed for scale and sensibility. Currently live on the test network dubbed Futurenet, Soroban seamlessly integrates with and works alongside the existing Stellar blockchain.

Start building on Soroban today with the help of established tools and documentation.

{% embed url="<https://www.youtube.com/watch?v=Qwy0P1klpis>" %}

### Why it's called Soroban <a href="#why-its-called-soroban" id="why-its-called-soroban"></a>

The Japanese soroban is the smallest and simplest abacus. Its design is intentionally compact and minimalist, focused on doing the essentials — and doing them well. It set the global standard for abacuses and is still in practical use today. The name aligns with the goals of this platform because we, too, want to build something that focuses on doing the essentials well, that sets a global standard, and that proves useful far into the future.

### Learn

Getting started with Soroban is easy! Soroban contracts are small programs written in the [Rust](https://www.rust-lang.org/) programming language. Just install the Rust toolchain and Soroban CLI to begin writing your first Soroban smart contract. Learn more and continue building by checking out [Soroban documentation](https://soroban.stellar.org/docs).

```
#![no_std]
use soroban_sdk::{contractimpl, vec, Env, Symbol, Vec};

#[contract]
pub struct HelloContract;

#[contractimpl]
impl HelloContract {
    pub fn hello(env: Env, to: Symbol) -> Vec<Symbol> {
        vec![&env, symbol_short!("Hello"), to]
    }
}
```

## Official resources

Website: <https://soroban.stellar.org/>

Docs: <https://soroban.stellar.org/docs>

## Relink Products on Soroban

coming soon:

{% content-ref url="/pages/6Kzlcfo7d0DdvXDIwjxk" %}
[Chainlink VRF v2](/chainlink-products/chainlink-vrf-v2.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.relink.services/supported-networks/stellar-soroban.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
